basis_symbolic_nodal_on_geo
Inheritance diagram for basis_symbolic_nodal_on_geo:

## Classes

struct | end_type

## Public Types

typedef std::vector< int >::size_type | size_type
typedef GiNaC::ex | polynom_type
typedef GiNaC::ex | value_type

## Public Member Functions

| basis_symbolic_nodal_on_geo ()
size_type | size () const
size_type | dimension () const
const reference_element & | hat_K () const
std::string | name () const
const point_basic< GiNaC::ex > & | node (size_type i) const
const polynom_type & | polynom (size_type i) const
void | set_name (std::string str)
void | set_hat_K (reference_element::variant_type t)
point_basic< GiNaC::ex > & | node (size_type i)
polynom_type & | polynom (size_type i)
void | resize (size_type n)
void | add_polynom (const polynom_type &p)
basis_symbolic_nodal_on_geo & | operator<< (const polynom_type &p)
void | add_node (const point_basic< GiNaC::ex > &x)
void | add_node (const Float &x0, const Float &x1=0, const Float &x2=0)
basis_symbolic_nodal_on_geo & | operator<< (const point_basic< GiNaC::ex > &x)
void | make_node_basis ()
basis_symbolic_nodal_on_geo & | operator<< (end_type(*)())
value_type | eval (const polynom_type &p, const point_basic< polynom_type > &x, size_type d=3) const
GiNaC::matrix | vandermonde_matrix (const std::vector< polynom_type > &p, size_type d=3) const
void | put_cxx_header (std::ostream &out) const
void | put_cxx_body (std::ostream &out) const
polynom_type | indexed_symbol (const polynom_type &expr0) const
Public Member Functions inherited from basis_symbols
| basis_symbols ()

## Protected Attributes

std::string | _name
reference_element | _hat_K
std::vector< point_basic< GiNaC::ex > > | _node
std::vector< polynom_type > | _poly
std::vector< polynom_type > | _basis
std::vector< point_basic< polynom_type > > | _grad_basis

## Additional Inherited Members

Public Attributes inherited from basis_symbols
GiNaC::symbol | x
GiNaC::symbol | y
GiNaC::symbol | z

## Detailed Description

Definition at line 39 of file basis_symbolic.h.

## Member Typedef Documentation

## size_type

typedef std::vector<int>::size_type size_type

Definition at line 44 of file basis_symbolic.h.

## polynom_type

typedef GiNaC::ex polynom_type

Definition at line 45 of file basis_symbolic.h.

## value_type

typedef GiNaC::ex value_type

Definition at line 46 of file basis_symbolic.h.

## Constructor & Destructor Documentation

## basis_symbolic_nodal_on_geo()

basis_symbolic_nodal_on_geo | ( |  | ) |

Definition at line 51 of file basis_symbolic.h.

## Member Function Documentation

## size()

size_type size | ( |  | ) | const

Definition at line 58 of file basis_symbolic.h.

## dimension()

size_type dimension | ( |  | ) | const

Definition at line 59 of file basis_symbolic.h.

## hat_K()

const reference_element& hat_K | ( |  | ) | const

Definition at line 60 of file basis_symbolic.h.

## name()

std::string name | ( |  | ) | const

Definition at line 61 of file basis_symbolic.h.

## node() [1/2]

const point_basic<GiNaC::ex>& node | ( | size_type | i | ) | const

Definition at line 62 of file basis_symbolic.h.

## polynom() [1/2]

const polynom_type& polynom | ( | size_type | i | ) | const

Definition at line 63 of file basis_symbolic.h.

## set_name()

void set_name | ( | std::string | str | ) |

Definition at line 67 of file basis_symbolic.h.

## set_hat_K()

void set_hat_K | ( | reference_element::variant_type | t | ) |

Definition at line 68 of file basis_symbolic.h.

## node() [2/2]

point_basic<GiNaC::ex>& node | ( | size_type | i | ) |

Definition at line 70 of file basis_symbolic.h.

## polynom() [2/2]

polynom_type& polynom | ( | size_type | i | ) |

Definition at line 71 of file basis_symbolic.h.

## resize()

void resize | ( | size_type | n | ) |

Definition at line 73 of file basis_symbolic.h.

## add_polynom()

void add_polynom | ( | const polynom_type & | p | ) |

Definition at line 77 of file basis_symbolic.h.

## operator<<() [1/3]

basis_symbolic_nodal_on_geo& operator<< | ( | const polynom_type & | p | ) |

Definition at line 78 of file basis_symbolic.h.

## add_node() [1/2]

void add_node | ( | const point_basic< GiNaC::ex > & | x | ) |

Definition at line 81 of file basis_symbolic.h.

## add_node() [2/2]

void add_node | ( | const Float & | x0,
|  | const Float & | x1 = `0`,
|  | const Float & | x2 = `0`
| ) |  |

Definition at line 82 of file basis_symbolic.h.

## operator<<() [2/3]

basis_symbolic_nodal_on_geo& operator<< | ( | const point_basic< GiNaC::ex > & | x | ) |

Definition at line 84 of file basis_symbolic.h.

## make_node_basis()

void make_node_basis | ( |  | ) |

Definition at line 80 of file basis_symbolic.cc.

## operator<<() [3/3]

basis_symbolic_nodal_on_geo& operator<< | ( | end_type(*)() |  | ) |

Definition at line 88 of file basis_symbolic.h.

## eval()

basis_symbolic_nodal_on_geo::value_type eval | ( | const polynom_type & | p,
|  | const point_basic< polynom_type > & | x,
|  | size_type | d = `3`
| ) |  | const

Definition at line 28 of file basis_symbolic.cc.

## vandermonde_matrix()

matrix vandermonde_matrix | ( | const std::vector< polynom_type > & | p,
|  | size_type | d = `3`
| ) |  | const

Definition at line 40 of file basis_symbolic.cc.

## put_cxx_header()

void put_cxx_header | ( | std::ostream & | out | ) | const

Definition at line 69 of file basis_symbolic_cxx.cc.

## put_cxx_body()

void put_cxx_body | ( | std::ostream & | out | ) | const

Definition at line 85 of file basis_symbolic_cxx.cc.

## indexed_symbol()

ex indexed_symbol | ( | const polynom_type & | expr0 | ) | const

Definition at line 54 of file basis_symbolic_cxx.cc.

## Member Data Documentation

## _name

std::string _name

protected

Definition at line 110 of file basis_symbolic.h.

## _hat_K

reference_element _hat_K

protected

Definition at line 111 of file basis_symbolic.h.

## _node

std::vector<point_basic<GiNaC::ex> > _node

protected

Definition at line 112 of file basis_symbolic.h.

## _poly

std::vector<polynom_type> _poly

protected

Definition at line 113 of file basis_symbolic.h.

## _basis

std::vector<polynom_type> _basis

protected

Definition at line 114 of file basis_symbolic.h.

## _grad_basis

std::vector<point_basic<polynom_type> > _grad_basis

protected

Definition at line 115 of file basis_symbolic.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis_symbolic.h
- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis_symbolic.cc
- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis_symbolic_cxx.cc